For the complete documentation index, see llms.txt. This page is also available as Markdown.

Unbonding delegation

UnbondingDelegation queries unbonding info for given validator delegator pair.

get
Path parameters
validator_addrstringRequired

validator_addr defines the validator address to query for.

delegator_addrstringRequired

delegator_addr defines the delegator address to query for.

Responses
200

A successful response.

application/json

QueryDelegationResponse is response type for the Query/UnbondingDelegation RPC method.

get/cosmos/staking/v1beta1/validators/{validator_addr}/delegations/{delegator_addr}/unbonding_delegation
GET /cosmos/staking/v1beta1/validators/{validator_addr}/delegations/{delegator_addr}/unbonding_delegation HTTP/1.1
Accept: */*
{
  "unbond": {
    "delegator_address": "text",
    "validator_address": "text",
    "entries": [
      {
        "creation_height": "text",
        "completion_time": "2026-01-01T00:00:00.000Z",
        "initial_balance": "text",
        "balance": "text"
      }
    ]
  }
}

Last updated

Was this helpful?